<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Upload extends CI_Controller {
    private $page_data;
    private $user;

	public function __construct() {
		parent::__construct();
 
		$this->page_data = $this->WebsiteModel->pageData();        
        $this->user = $this->WebsiteModel->user_session();
        $this->admin = $this->WebsiteModel->admin_settings();
        $this->upload_cfg = $this->WebsiteModel->upload_settings();
	}

    public function image($slug = null) {
        $this->load->model('Uploads/UserUploadModel');
        if($slug && $upload = $this->UserUploadModel->get_upload($slug)) {
            $data = $this->page_data;
            $data['user'] = $this->user;
            $data['admin'] = $this->admin;
            $data['upload'] = $upload;
            $data['can_user_delete'] = $this->upload_cfg['can_user_delete'];
            // $data['og_image'] = $upload['s3'] ? $upload['filename'] : base_url('i/' . $upload['filename']);
            $data['load_css'] = array(base_url('public/css/magnific.popup.css'));
            $data['load_scripts'] = array(
                base_url('public/js/magnific.popup.min.js'),
                base_url('public/js/includes/view_image.js')
            );

            $this->lang->load(array('global', 'single'), $this->page_data['idiom']);
            $this->load->helper('language');

            $theme_view = $data['theme_view'];
            $theme_view('single', $data);
        } else
            show404();
    }

	public function new() {
        header('Content-Type', 'application/json');
        if(is_uploaded('uploads') && is_image('uploads')) {
            // File Exists;
            $this->load->helper('string');
            $slug_id = generate_slug_id();
            $config = array(
                'upload_path'   => FCPATH.'i/',
                'allowed_types' => '*',
                'overwrite'     => false,
                'file_name'     => $slug_id,
                'max_size'      => $this->upload_cfg['max_size_kb'],
                'max_height'    => $this->upload_cfg['max_height'],
                'max_width'     => $this->upload_cfg['max_width'],
            );
            $this->load->library('upload', $config);
            $success = $this->upload->do_upload('uploads');
            if($success) {
                $this->load->model('Uploads/UserUploadModel');
                $data = $this->upload->data();

                $name = $data['file_name'];
                if($this->UserUploadModel->create_upload($slug_id, $name, $this->user))
                    die(json_encode(array(
                        'type' => 'success',
                        'msg'  => 'Uploaded successfully.',
                        'data' => array(
                            'id' => $slug_id
                        )
                    )));
                else
                    die(json_encode(array(
                        'type' => 'error',
                        'msg'  => 'Server Error.'
                    )));
            } else {
                die(json_encode(array(
                    'type'   => 'error',
                    'msg'    => 'Upload Error',
                    'errors' => strip_tags($this->upload->display_errors()),
                )));
            }
        } else {
            die(json_encode(array(
                'type'   => 'error',
                'msg'    => 'Illegal Request.'
            )));
        }
	}
}
