<?php $this->load->view('admin/includes/head'); ?>
<div class="wrapper fullheight-side">
<?php $this->load->view('admin/includes/header');
$this->load->view('admin/includes/sidebar'); 
$this->load->view('admin/includes/navbar'); ?>

<!-- Page Content -->

<div class="main-panel">
    <div class="container">
        <div class="page-inner">
            <div class="page-header">
                <h4 class="page-title"><?php echo esc($page_title) ?></h4>
                <ul class="breadcrumbs">
                    <li class="nav-home">
                        <a href="<?php anchor_to(GENERAL_CONTROLLER . '/dashboard') ?>">
                            <i class="flaticon-home"></i>
                        </a>
                    </li>
                    <li class="separator">
                        <i class="flaticon-right-arrow"></i>
                    </li>
                    <li class="nav-home">
                        <a href="<?php anchor_to(IMGUP_CONTROLLER . '/upload_settings') ?>">
                        <?php echo esc($page_title) ?>
                        </a>
                    </li>
                </ul>
            </div>
            <?php $this->load->view('admin/includes/alert'); ?>
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <div class="card-title">Control Image Upload Settings for your website</div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <form method="POST" action="<?php anchor_to(IMGUP_CONTROLLER . '/upload_settings') ?>">
                                        <div class="form-group">
                                            <div class="custom-control custom-switch">
                                                <input <?php echo_if($page_data['upload']['can_user_delete'], 'checked') ?> id="can-user-delete" name="can-user-delete" type="checkbox" class="custom-control-input">
                                                <label class="custom-control-label" for="can-user-delete">Let users delete their own uploads.</label>
                                            </div>
                                            <small>Deleting will removing the file from your Server or S3 as well.</small>
                                        </div>
                                        <hr>
                                        <div class="form-group">
                                            <label for="filesize">Max. Filesize in Kilobytes <span class="text-danger">*</span></label>
                                            <?php echo form_error('filesize', '<br><span class="text-danger">', '</span>'); ?>
                                            <input id="filesize" name="filesize" placeholder="Maximum allowed Filesize (KBs)" value="<?php echo esc($page_data['upload']['max_size_kb']); ?>" type="number" class="form-control">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="width">Max. Image Width <span class="text-danger">*</span></label>
                                            <?php echo form_error('width', '<br><span class="text-danger">', '</span>'); ?>
                                            <input id="width" name="width" placeholder="Maximum allowed Width (Pixels)" value="<?php echo esc($page_data['upload']['max_width']); ?>" type="number" class="form-control">
                                        </div>
                                        <span class="badge badge-info float-right">Set 0 for Unlimited</span>
                                        <div class="form-group">
                                            <label for="height">Max. Image Height <span class="text-danger">*</span></label>
                                            <?php echo form_error('height', '<br><span class="text-danger">', '</span>'); ?>
                                            <input id="height" name="height" placeholder="Maximum allowed Height (Pixels)" value="<?php echo esc($page_data['upload']['max_height']); ?>" type="number" class="form-control">
                                        </div>
                                        <hr>
                                        <div class="form-group">
                                            <input type="hidden" name="submit" value="Submit">
                                            <button type="submit" class="btn btn-success"><i class="fas fa-check mr-1"></i> Update Upload Settings</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- End Page Content -->

</div>
<?php $this->load->view('admin/includes/foot'); ?>