SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

DROP TABLE IF EXISTS `ad-settings`;
CREATE TABLE `ad-settings` (
  `id` int(11) NOT NULL,
  `top_ad` text NOT NULL,
  `bottom_ad` text NOT NULL,
  `pop_ad` text NOT NULL,
  `top_ad_status` tinyint(1) NOT NULL DEFAULT 1,
  `bottom_ad_status` tinyint(1) NOT NULL DEFAULT 1,
  `pop_ad_status` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `ad-settings` (`id`, `top_ad`, `bottom_ad`, `pop_ad`, `top_ad_status`, `bottom_ad_status`, `pop_ad_status`) VALUES
(1, '&lt;img src=&quot;https://via.placeholder.com/728x90?text=XLScripts.com&quot;&gt;&lt;/img&gt;', '&lt;img src=&quot;https://via.placeholder.com/728x90?text=XLScripts.com&quot;&gt;&lt;/img&gt;', '', 1, 1, 0);

DROP TABLE IF EXISTS `admin-users`;
CREATE TABLE `admin-users` (
  `id` int(11) NOT NULL,
  `username` varchar(255) NOT NULL,
  `email` text NOT NULL,
  `password` varchar(255) NOT NULL,
  `role` int(11) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `admin-users` (`id`, `username`, `email`, `password`, `role`) VALUES
(1, '', '', '', 0);

DROP TABLE IF EXISTS `analytics-settings`;
CREATE TABLE `analytics-settings` (
  `id` int(11) NOT NULL,
  `code` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `analytics-settings` (`id`, `code`) VALUES
(1, '');

DROP TABLE IF EXISTS `general-settings`;
CREATE TABLE `general-settings` (
  `id` int(11) NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `keywords` text NOT NULL,
  `logo` text NOT NULL,
  `favicon` text NOT NULL,
  `checksum` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `general-settings` (`id`, `title`, `description`, `keywords`, `logo`, `favicon`, `checksum`) VALUES
(1, 'Imager - Simple Image Hosting Script', 'Fast & Free Image Hosting Service', 'image,upload,anonymous,free,imager', 'logo.svg', 'favicon.png', '');

DROP TABLE IF EXISTS `meta-tags-settings`;
CREATE TABLE `meta-tags-settings` (
  `id` int(11) NOT NULL,
  `meta_tags` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `meta-tags-settings` (`id`, `meta_tags`) VALUES
(1, '');

DROP TABLE IF EXISTS `pages`;
CREATE TABLE `pages` (
  `id` int(11) NOT NULL,
  `title` text NOT NULL,
  `permalink` text NOT NULL,
  `content` text NOT NULL,
  `position` int(11) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `page_order` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `pages` (`id`, `title`, `permalink`, `content`, `position`, `status`, `page_order`) VALUES
(2, 'Privacy Policy', 'privacy-policy', '&lt;p&gt;The Privacy Policy Page.&lt;/p&gt;', 2, 1, 1),
(4, 'Terms &amp; Conditions', 'terms-conditions', '&lt;p&gt;The Terms and Conditions Page.&lt;/p&gt;', 2, 1, 0);

DROP TABLE IF EXISTS `recaptcha-settings`;
CREATE TABLE `recaptcha-settings` (
  `id` int(11) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `site_key` text NOT NULL,
  `secret_key` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `recaptcha-settings` (`id`, `status`, `site_key`, `secret_key`) VALUES
(1, 0, '', '');

DROP TABLE IF EXISTS `scripts-settings`;
CREATE TABLE `scripts-settings` (
  `id` int(11) NOT NULL,
  `header` text NOT NULL,
  `footer` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `scripts-settings` (`id`, `header`, `footer`) VALUES
(1, '', '');

DROP TABLE IF EXISTS `smtp-settings`;
CREATE TABLE `smtp-settings` (
  `id` int(11) NOT NULL,
  `host` text NOT NULL,
  `port` text NOT NULL,
  `username` text NOT NULL,
  `password` text NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `email` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `smtp-settings` (`id`, `host`, `port`, `username`, `password`, `status`, `email`) VALUES
(1, '', '', '', '', 0, 'nexthon@live.com');

DROP TABLE IF EXISTS `themes-settings`;
CREATE TABLE `themes-settings` (
  `id` int(11) NOT NULL,
  `theme` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `themes-settings` (`id`, `theme`) VALUES
(1, 'neo_red');

DROP TABLE IF EXISTS `s3-settings`;
CREATE TABLE `s3-settings` ( 
  `id` INT(11) NOT NULL , 
  `status` BOOLEAN NOT NULL DEFAULT FALSE, 
  `s3_access` VARCHAR(255) NOT NULL, 
  `s3_secret` VARCHAR(255) NOT NULL, 
  `s3_bucket` VARCHAR(255) NOT NULL,
  `s3_region` VARCHAR(255) NOT NULL 
) ENGINE = InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `s3-settings` (`id`, `status`, `s3_access`, `s3_secret`, `s3_bucket`, `s3_region`) VALUES(1, 0, '', '', '', '');

DROP TABLE IF EXISTS `social-keys-settings`;
CREATE TABLE `social-keys-settings` ( 
  `id` INT(11) NOT NULL , 
  `google_public` VARCHAR(255) NOT NULL, 
  `google_secret` VARCHAR(255) NOT NULL, 
  `facebook_public` VARCHAR(255) NOT NULL, 
  `facebook_secret` VARCHAR(255) NOT NULL
) ENGINE = InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `social-keys-settings` (`id`, `google_public`, `google_secret`, `facebook_public`, `facebook_secret`) VALUES(1, '', '', '', '');

DROP TABLE IF EXISTS `upload-settings`;
CREATE TABLE `upload-settings` (
  `id` int(11) NOT NULL,
  `max_size_kb` BIGINT(20) NOT NULL,
  `max_height` int(11) NOT NULL,
  `max_width` INT(11) NOT NULL,
  `can_user_delete` BOOLEAN NOT NULL DEFAULT TRUE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `upload-settings` (`id`, `max_size_kb`, `max_height`, `max_width`, `can_user_delete`) VALUES(1, 10240, 0, 0, 1);

DROP TABLE IF EXISTS `end-users`;
CREATE TABLE `end-users` ( 
  `id` INT(11) NOT NULL , 
  `username` VARCHAR(255) NOT NULL , 
  `email` TEXT NOT NULL , 
  `password` VARCHAR(255) NOT NULL , 
  `activated` BOOLEAN NOT NULL DEFAULT FALSE,
  `privacy` BOOLEAN NOT NULL DEFAULT FALSE,
  `google` BOOLEAN NOT NULL DEFAULT FALSE,
  `facebook` BOOLEAN NOT NULL DEFAULT FALSE,
  `register_date` DATETIME NOT NULL DEFAULT current_timestamp(),
  `avatar` VARCHAR(255) NOT NULL
) ENGINE = InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `end-users-verification`;
CREATE TABLE `end-users-verification` ( 
  `id` INT(11) NOT NULL , 
  `end_user_id` INT(11) NOT NULL , 
  `code` VARCHAR(255) NOT NULL
) ENGINE = InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `end-users-password-reset`;
CREATE TABLE `end-users-password-reset` ( 
  `id` INT(11) NOT NULL , 
  `end_user_id` INT(11) NOT NULL , 
  `code` VARCHAR(255) NOT NULL
) ENGINE = InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `user-uploads`;
CREATE TABLE `user-uploads` (
  `id` int(11) NOT NULL,
  `slug_id` varchar(255) NOT NULL,
  `user` int(11) DEFAULT NULL,
  `filename` varchar(255) NOT NULL,
  `upload_date` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `s3`  BOOLEAN NOT NULL DEFAULT FALSE,
  `enabled` BOOLEAN NOT NULL DEFAULT TRUE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

ALTER TABLE `user-uploads`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `social-keys-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `s3-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `end-users-password-reset`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `end-users-verification`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `end-users`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `ad-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `admin-users`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `analytics-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `general-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `meta-tags-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `pages`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `recaptcha-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `scripts-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `smtp-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `themes-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `upload-settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `upload-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `end-users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `end-users-password-reset`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `end-users-verification`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `s3-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `social-keys-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `user-uploads`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
  
ALTER TABLE `ad-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `admin-users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `analytics-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `general-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `meta-tags-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `pages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

ALTER TABLE `recaptcha-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `scripts-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `smtp-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `themes-settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;